<?
require_once('main.php');
$db = Db::getInstance();
$records = $db->query("SELECT * FROM t_task")
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>todo list with php & mysql | netcopy.ir</title>
    <link rel="stylesheet" href="style.css">
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
</head>

<body>
    <div class="container">
        <div id="to-do-app" class="to-do-list">
            <h1>لیست کار های من</h1>
            <div class="tasker-container">
                <ul id="tasks-ul">
                    <? if($records == null){ $records = array(); } ?>
                    <? foreach($records as $record) { 
                        if($record['isDone']){
                            $doneClass = "done";
                        }
                    ?>
                    <li class="<?=$doneClass?>">
                    <label><?=$record['title']?></label>
                    <a href="done.php?id=<?=$record['task_id']?>"><i class="fa fa-check checked-box"></i></a>
                    <a href="remove.php?id=<?=$record['task_id']?>"><i class="fa fa-trash-o delete-button"></i></a>
                </li>
                <? } ?>
                </ul>
            </div>
            <div id="task-container" class="task-container">
                <form action="new-task.php" method="POST">
                    <input type="text" name="task" placeholder="چیزی تایپ کن ...">
                    <button type="submit" id="add-task">+</button>
                </form>
            </div>
        </div>
    </div>
</body>

</html>